Skip to content
This repository
tree: 817ac45927
Fetching contributors…

Cannot retrieve contributors at this time

file 44 lines (29 sloc) 1.458 kb
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44
If you have SELinux installed, typically as part of Fedora Core 3 or
higher, then you may experience difficulties getting GBrowse to work.

The default security parameters for SELinux prevent GBrowse from
performing some fundamental tasks, including reading its configuration
file in $CONF/GBrowse.conf (where $CONF is typically /etc/httpd/conf
or /usr/local/apache/conf). The symptom of the problem is that you
will see "Permission denied" errors in your server error log.

To fix the problem:

1. Make sure your security policy is up to date:

  % yum update selinux-policy-targeted

2. Open System Settings->Security Level and click on the SELinux tab.
Click on the HTTPD Service triangle to get the httpd settings, and
select "Disable SELinux protection for httpd daemon".

2a. Alternatively, uncheck "Enforcing" to set the enforcement level
to permissive.

2b. If you don't have X11, you can do the same as step 2 via the command line:

      % setsebool -P httpd_disable_trans 1
      % system httpd restart

3. Make sure that all directories in the path to the gbrowse config
directory are set to be world readable and executable. Either run:

      % chmod +rx -R /etc/httpd/conf

or

      % chmod +rx -R /usr/local/apache/conf

4. After you do this, add the --SELINUX=1 tag when exectuting perl Makefile.PL:

  % perl Makefile.PL --SELINUX=1

Please let me know if you have any difficulties with this procedure.
Scott Cain
cain@cshl.org
2/16/05
Something went wrong with that request. Please try again.